#include <bits/stdc++.h>
using namespace std;

const int N = 1e5 + 5;
const int P = 1e9 + 7;

int c,T;

int n, K;
int e[N];

void solv() {
    cin >> n >> K;
    for (int i=1,u,v;i<n;++i) {
        cin >> u >> v;
    }
    for (int i=1;i<=K;++i)
        cin >> e[i];
    cout << 1 << endl;
}

int main() {
    ios::sync_with_stdio(false), cin.tie(0);
    freopen("traverse.in", "r", stdin);
    freopen("traverse.out", "w", stdout);

    cin >> c >> T;
    while (T--) solv();

}

/*

晚风吹起你鬓间的白发 
抚平回忆留下的疤
你的眼中
明暗交杂
一笑生花

暮色遮住你蹒跚的步伐
走进床头藏起的画
画中的你
低着头说话

我仍感叹于世界之大
也沉醉于儿时情话
心之所动
就随风去吧

以爱之名
你还愿意吗

*/